#
# spec file for package rss2email
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rss2email
Version:        3.9
Release:        lp151.2.1
Summary:        Receive RSS feeds by email
License:        GPL-2.0 or GPL-3.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/rss2email/
Source:         rss2email-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-feedparser
BuildRequires:  python3-html2text
BuildRequires:  python3-setuptools
Requires:       python3
Requires:       python3-feedparser
Requires:       python3-html2text
Requires:       python3-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A free, open-source tool for Windows, Mac OS and UNIX for
getting news from RSS feeds in email. It is a simple program which you
can run in your crontab.  It watches RSS feeds and sends you nicely
formatted email message for each new item.

%prep
%setup -q -n rss2email-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -Dm644 r2e.1 %{buildroot}/%{_mandir}/man1/r2e.1

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%_mandir/*/r2e.1*
%doc AUTHORS CHANGELOG README COPYING
/usr/bin/r2e

%changelog
* Wed Apr  5 2017 jmatejek@suse.com
- switch requires from outdated python3-distribute to setuptools
* Tue Sep  2 2014 arun@gmx.de
- update to v3.9 (2014-09-01)
  * Catch and error out if a user adds a feed with a duplicate name.
  * Split sender into both sendmail's -F and -f.
  * Fix an error with SMTPConnectionError inheritance order ("does not
    take keyword arguments").
  * Add a new `smtp-ssl-protocol` setting, to select acceptable
    protocols for SMTP connections.
  * Fix non-compliant User-Agent header for HTTP/1.1.
  * Fix an error in the NoToEmailAddress invocation.
  * Add a new 'trust-link' setting, to prefer the 'link' attribute over
    the 'id' attribute for identifying entries.
* Sun Feb  2 2014 cfarrell@suse.com
- license update: GPL-2.0 or GPL-3.0
  This is a dual license of either GPL-2.0 or GPL-3.0. It does not allow
  updating to beyond GPL-3.0
* Mon Jan 20 2014 arun@gmx.de
- updated to v3.8 (2014-01-18)
  * Sluggify feed names on opmlimport.
  * Allow Unicode letters and digits in feed names, instead of just ASCII lettters and digits.
* Fri Oct 11 2013 arun@gmx.de
- updated to version 3.7
  * Fix fallback for titles that contain malformed HTML [1].
  * Fix atomic saves to avoid garbling config and data files if the
    disk is full [2].  Reported by Etienne Millon [3,4].
  * Convert the `friendly-name` boolean to the new `name-format`
    setting.  This allow users to customize how the friendly name is
    constructed [5].  Requested by Joey Hess [6,7].
  * Demote guessed encodings logs from 'error' to 'warning' [8].
    Patch by J. Lewis Muir [9,10].
  [1]: http://thread.gmane.org/gmane.mail.rss2email/183
  [2]: http://thread.gmane.org/gmane.mail.rss2email/182
  [3]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724671
  [4]: https://github.com/wking/rss2email/issues/22
  [5]: http://thread.gmane.org/gmane.mail.rss2email/177
  [6]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=722009
  [7]: https://github.com/wking/rss2email/issues/19
  [8]: http://thread.gmane.org/gmane.mail.rss2email/178
  [9]: https://github.com/wking/rss2email/pull/18
  [10]: https://github.com/wking/rss2email/pull/20
* Fri Sep 20 2013 arun@gmx.de
- updated to version 3.6
  Changes since 3.5 (from CHANGELOG)
  v3.6 (2013-09-09)
  * Fix missing port argument for IMAPAuthenticationError.
  * Fix `<div id="entry>` syntax error in HTML mail.
* Thu Jun  6 2013 arun@gmx.de
- updated to version 3.5
  Changes since 3.4 (from CHANGELOG)
  v3.5 (2013-06-05)
  * Added digest generation and post-processing hooks.
  * Fix html2text configuration (ignored since 2012-10-04).
  * Fix opmlexport crash due to orphaned feed data.
  * Use feed names in OPML 'text' attributes.
* Tue May 14 2013 arun@gmx.de
- updated to version 3.4
  Changes since 3.3 (from CHANGELOG)
  v3.4 (2013-05-14)
  * Added post-processing hooks for user-specified message manipulation.
  * Added settings for IMAP delivery. The old `use-smtp` boolean has
    been replaced by a new `email-protocol` setting. Non-IMAP users
    should adjust their configuration to set `email-protocol`
    to either `sendmail` or `smtp`.
* Sun Apr 14 2013 arun@gmx.de
- updated to version 3.3
  Changes since 3.2 (from CHANGELOG):
  v3.3 (2013-04-13)
  * Fix SMTP message submission logic.
  * Fix error inheritence (super() calls).
  * Convert html2text parsing errors to `ProcessingError`s.
  * Cleanup html2text error handling.
  * Drop Google Reader rel-via manipulation.
  * Drop the wrapping <table> elements from HTML mail
* Thu Mar 14 2013 arun@gmx.de
- updated to verson 3.2
  Changes since 3.1 (from the CHANGELOG):
  * Use extended interpolation in configuration files, to allow percent
  signs (%%).
  * Added .as_string() fallback to email flattening (only used if
  `use-smtp = False` and `use-8bit = True`).
  * Added sendmail configuration option.  Change this if you want to use
  an alternative, sendmail-compatible mailer.
* Sun Mar  3 2013 arun@gmx.de
- added some missing dependencies: python3, python3-xml,
  python3-feedparser, python3-html2text
* Fri Feb 15 2013 arun@gmx.de
- update to version 3.1, use tar.gz instead of zip
* Fri Feb 15 2013 arun@gmx.de
- fixed spec file according to comments on pull request
  * removed double install of doc files
  * don't zip man page
* Wed Jan 23 2013 arun@gmx.de
- initial version from current git (933dc46f6af3fb5473da93e02c9a90c1e4b4ae5f)
